<?php 
if(strlen(session_id()) < 1)
session_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once('../modelos/RegistroEgreso.php');

$concepto_egreso=new RegistroEgreso();

$idcategoria_egreso=isset($_POST["idcategoria_egreso"])? limpiarCadena($_POST["idcategoria_egreso"]):"";
$idconcepto_egreso=isset($_POST["idconcepto_egreso"])? limpiarCadena($_POST["idconcepto_egreso"]):"";
$tipo=isset($_POST["tipo"])? limpiarCadena($_POST["tipo"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$folio=isset($_POST["folio"])? limpiarCadena($_POST["folio"]):"";
$archivador=isset($_POST["archivador"])? limpiarCadena($_POST["archivador"]):"";
$concepto=isset($_POST["concepto"])? limpiarCadena($_POST["concepto"]):"";
$monto=isset($_POST["monto"])? limpiarCadena($_POST["monto"]):"";
$cuota=isset($_POST["cuota"])? limpiarCadena($_POST["cuota"]):"";
$fechavencimiento=isset($_POST["fechavencimiento"])? limpiarCadena($_POST["fechavencimiento"]):"";
$condicion=isset($_POST["condicion"])? limpiarCadena($_POST["condicion"]):"";
$idusuario=$_SESSION["idusuario"];
$precio_luz=isset($_POST["precio_luz"])? limpiarCadena($_POST["precio_luz"]):"";
$monto_total=isset($_POST["monto_total"])? limpiarCadena($_POST["monto_total"]):"";
$nombre_pago=isset($_POST["nombre_pago"])? limpiarCadena($_POST["nombre_pago"]):"";
$descripcion_pago=isset($_POST["descripcion_pago"])? limpiarCadena($_POST["descripcion_pago"]):"";
$crear_cuota=isset($_POST["crear_cuota"])? limpiarCadena($_POST["crear_cuota"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idconcepto_egreso))
      {
        $rspta=$concepto_egreso->insertar($idcategoria_egreso,$tipo,$concepto,$descripcion,$folio,$archivador,$monto,$cuota,$fechavencimiento,$idusuario,$condicion,$precio_luz,$monto_total,$nombre_pago,$descripcion_pago);
        echo $rspta ? "Registro Egreso Registrado" : "Registro Egreso no se pudo registrar";
      }
      else {
          $rspta=$concepto_egreso->editar($idconcepto_egreso,$idcategoria_egreso,$tipo,$concepto,$descripcion,$folio,$archivador,$monto,$cuota,$fechavencimiento,$idusuario,$condicion,$precio_luz,$monto_total,$nombre_pago,$descripcion_pago,$crear_cuota);
          echo $rspta ? "Registro Egreso Actualizada" : "Registro Egreso no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$concepto_egreso->mostrar($idconcepto_egreso);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$concepto_egreso->eliminar($idconcepto_egreso);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarregistroegreso':
      $rspta=$concepto_egreso->listarregistroegreso();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        if($reg->tipo=='1'){
            $arg='<button class="btn btn-danger btn-xs btn-flat">FIJO</button>';
        }else{
            $arg='<button class="btn btn-primary btn-xs btn-flat">VARIABLE</button>';
        }
        $condicion = ($reg->condicion == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activo</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactivo</button>';
        $data[]=array(
          "0"=>$arg,
          "1"=>$reg->nombre,
          "2"=>$reg->concepto,
          "3"=>number_format($reg->monto,2),
          "4"=>$reg->descripcion,
          "5"=>$reg->cuotas,
          "6"=>$reg->archivador,
          "7"=>$reg->folio,
          "8"=>$condicion,
          "9"=>'<a href="create.php?idconcepto_egreso=' . $reg->idconcepto_egreso . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>'
            
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

   

   

    
}
?>